#!/bin/sh

LOCAL=/share/Apps/local
OPKG=$LOCAL/bin/opkg
LD_LIBRARY_PATH=/share/Apps/local/lib:/usr/local/lib:/opt/syb/sigma/lib:/opt/syb/app/lib:/nmt/apps/lib:/lib;export LD_LIBRARY_PATH
IPADDRESS=`ifconfig eth0| awk '/inet addr/{print substr($2,6)}'`

disable_chmod()
{
    cp -p /nmt/apps/etc/init_nmt /nmt/apps/etc/init_nmt.owncloud
    CHS=`cat /nmt/apps/etc/init_nmt|grep 'chmod 777 $SHAREROOT'|head -1|grep -v grep|grep '#'|wc -l`
    if [ $CHS -ne 1 ];then
        sed '0,/chmod 777 $SHAREROOT -R/{s/chmod 777 $SHAREROOT -R/chmod 777 $SHAREROOT/}' /nmt/apps/etc/init_nmt.owncloud > /nmt/apps/etc/init_nmt.tmp
        sed '0,/chown -R nmt:nmt/{s/chown -R nmt:nmt/chown nmt:nmt/}' /nmt/apps/etc/init_nmt.tmp > /nmt/apps/etc/init_nmt
        rm /nmt/apps/etc/init_nmt.tmp
    else
        rm /nmt/apps/etc/init_nmt.owncloud
    fi
}

enable_chmod()
{
    if [ -f /nmt/apps/etc/init_nmt.owncloud ];then
        mv /nmt/apps/etc/init_nmt.owncloud /nmt/apps/etc/init_nmt
    fi
}

install()
{
    if [ -d /opt/gaya ]; then
        MODEL=a110
    else
        CHIPSET=`/opt/syb/sigma/bin/gbus_read_uint32 0x0002fee8 2>&-`
        if [ $CHIPSET = "0x00008911" ];then
            MODEL=a400
        elif [ $CHIPSET = "0x00008647" -o $CHIPSET = "0x00008643" ];then
            MODEL=c200
        fi
    fi

    if [ ! -f $OPKG ]; then
        cd /share
        wget -q http://sourceforge.net/projects/nmtcsi/files/opkg_${MODEL}_latest.zip
        unzip opkg_${MODEL}_latest.zip
        if [ -f opkg.tar ];then
            /share/Apps/AppInit/appinit.cgi install opkg.tar
            rm opkg.tar opkg_${MODEL}_latest.zip
        fi
    fi

    $OPKG update -V0
    $OPKG install locales locales-all libc-bin -force-overwrite -force-reinstall -V0

    cat webui/config/config.php.org |sed "s|10.0.0.6|$IPADDRESS|g" > webui/config/config.php
}

case "$1" in
    install)
    install
    disable_chmod
    ;;

    uninstall)
    enable_chmod
    ;;
esac
